function Array() {

}

function test() {
   var a = new Array();

   a[a.length] = "HELLO";
   a[a.length] = "WORLD";

   for(var i = 0; i < a.length; i++) {
      print(a[i]);
   }

   for(var i = 0; i < a.length; i++)
      print(a[i]);
}

var the_array = new Array();

the_array[the_array.length] = 100;
the_array[the_array.length] = 200;

for(var i = 0; i < the_array.length; i++) 
   print(the_array[i]);

for(var i = 0; i < the_array.length; i++) {
   print(the_array[i]);
}

test();

var matrix = new Array();
matrix[0] = new Array();
matrix[1] = new Array();
matrix[2] = new Array();
for(var i = 0; i < 3; i++) {
   for(var j = 0; j < 3; j++) {
      matrix[i,j] = i*j;
   }
}

for(var i = 0; i < 3; i++) {
   for(var j = 0; j < 3; j++) {
      print(matrix[i,j]);
   }
}
